package com.example.comunicacionactividades;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import com.example.comunicacionactividades.databinding.ActivityMainBinding;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    private ActivityMainBinding binding;
    int code = 1;
    public static final String RESULTADO = "resultado";
    Intent intent;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        binding = ActivityMainBinding.inflate(getLayoutInflater());
        View view = binding.getRoot();
        setContentView(view);

        binding.button1.setOnClickListener(this);
        binding.button2.setOnClickListener(this);
        binding.button3.setOnClickListener(this);
        binding.button4.setOnClickListener(this);
        binding.button5.setOnClickListener(this);
    }

    @Override
    public void onClick(View view) {
        if (view == binding.button1) {
            //ACTION_VIEW. Abrir el navegador con una URL indicada como dato
            String enlace = "https://iesalandalus.org";
            intent = new Intent(Intent.ACTION_VIEW, Uri.parse(enlace));
            if (intent.resolveActivity(getPackageManager()) != null) {
                startActivity(intent);
            } else {
                Toast.makeText(this, "Error al lanzar el intent", Toast.LENGTH_SHORT).show();
            }
        }

        if (view == binding.button2) {
            //ACTION_VIEW. Muestra dirección en mapa indicada como dato
            // (El emulador o AVD en el que se pruebe debe incluir las API de Google)
            String dir = "Calle+Larios+Malaga";
            intent = new Intent(Intent.ACTION_VIEW, Uri.parse("geo:0,0?q=" + dir));
            if (intent.resolveActivity(getPackageManager()) != null) {
                startActivity(intent);
            } else {
                Toast.makeText(this, "Error al lanzar el intent", Toast.LENGTH_SHORT).show();
            }
        }

        if (view == binding.button3) {
            // ACTION_DIAL.Marca el número de teléfono indicado como dato.
            String tlf = "951297929";
            intent = new Intent(Intent.ACTION_DIAL, Uri.parse("tel:" + tlf));
            if (intent.resolveActivity(getPackageManager()) != null) {
                startActivity(intent);
            } else {
                Toast.makeText(this, "Error al lanzar el intent", Toast.LENGTH_SHORT).show();
            }
        }

        if (view == binding.button4) {
            intent = new Intent(this, SecondActivity.class);
            Bundle extras = new Bundle();
            extras.putString("usuario", binding.editText.getText().toString());
            extras.putInt("edad", 27);
            intent.putExtras(extras);
            startActivity(intent);
        }

        if (view == binding.button5) {
            intent = new Intent(this, SecondActivity.class);
            Bundle extras = new Bundle();
            extras.putString("usuario", binding.editText.getText().toString());
            extras.putInt("edad", 27);
            intent.putExtras(extras);
            startActivityForResult(intent, code);
        }
    }

    @Override
    protected void onActivityResult (int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (requestCode == code && resultCode == RESULT_OK) {
            String res = data.getExtras().getString(RESULTADO);
            binding.editText.setText(res);
        }
    }
}